using UnityEngine;
using System;
using System.Collections.Generic;

public class PeopleHigh01 : RequestLetter
{
    protected override string GetTextBody()
    {
        return "The popular and traditional Millenial Fair will be held in a few days to celebrate the coming of Summer, and everyone here in town has started to ask for your presence in the festival! I know this is no suitable place for a king, but the people love you and there's no way I can reason with them.";
    }

    protected override string GetSender()
    {
        return "The Millenial Fair Comitee";
    }

    protected override Attributes GetRelatedAttribute()
    {
        return Attributes.People;
    }

    protected override AttributeInfluenceLevel GetInfluenceLevelRequired()
    {
        return AttributeInfluenceLevel.High;
    }

    protected override List<Choice> GetChoices()
    {
        return new List<Choice>()
        {
            new Choice
            (
                "Go to the Fair", 
                new ResponseLetter
                (
                    "We can't express how glad we were to have Your Majesty's presence in our humble fair! The people is still vibrant.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Indicators,float>() { { Indicators.Popularity, +0.1f } },
                    new Dictionary<Attributes,float>() { { Attributes.People, +0.2f} }
                )
            ),
            new Choice
            (
                "Send your younger son", 
                new ResponseLetter
                (
                    "The people seemed satisfied with your son's presence in their festival. He, on the other side, didn't seem very happy to have to spend his whole day at a popular party.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Indicators,float>() { { Indicators.Popularity, +0.05f } },
                    new Dictionary<Attributes,float>() { { Attributes.People, +0.1f}, { Attributes.Family, -0.1f} }
                )
            ),
            new Choice
            (
                "Don't go and don't send anyone", 
                new ResponseLetter
                (
                    "As much as I respect you, my liege, I must say that your absence was a total let down for everyone. The people grows impatient.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Indicators,float>() { { Indicators.Popularity, -0.1f } },
                    new Dictionary<Attributes,float>() { { Attributes.People, -0.2f} }
                )
            )
        };
    }
}